| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
FileIncident Class Reference

This class is the FileIncident. More...

`#include <GaudiKernel/FileIncident.h>`

Inheritance diagram for FileIncident:
[legend]
Collaboration diagram for FileIncident:
[legend]

## Public Member Functions
| FileIncident (std::string source, std::string type, std::string fileName)
| standard constructor More...
| FileIncident (std::string source, std::string type, std::string fileName, std::string fileGuid)
| FileIncident (const FileIncident &rhs)
| ~FileIncident () override=default
const FileIncident & | operator= (const FileIncident &rhs)
| Overloaded Assignment Operator. More...
const std::string & | fileName () const
const std::string & | fileGuid () const
Public Member Functions inherited from Incident
| Incident (const std::string &source, const std::string &type)
| Default Constructor. More...
| Incident (const std::string &source, const std::string &type, const EventContext &ctx)
virtual | ~Incident ()=default
| Destructor. More...
const std::string & | type () const
| Access to the incident type. More...
const std::string & | source () const
| Access to the source of the incident. More...
EventContext | context () const
| Access to the EventContext of the source of the incident. More...

## Private Attributes
std::string | m_fileName
std::string | m_fileGuid

## Detailed Description

This class is the FileIncident.

Definition at line 17 of file FileIncident.h.

## Constructor & Destructor Documentation

FileIncident::FileIncident | ( | std::string | source,
|  | std::string | type,
|  | std::string | fileName
| ) |  |
| inline

standard constructor

Definition at line 36 of file FileIncident.h.

37 : Incident( std::move( source ), std::move( type ) ), m_fileName( std::move( fileName ) )
38 {
39 }
std::move
T move(T...args)
FileIncident::m_fileName
std::string m_fileName
Definition: FileIncident.h:32
Incident::Incident
Incident(const std::string &source, const std::string &type)
Default Constructor.
Definition: Incident.cpp:5

FileIncident::FileIncident | ( | std::string | source,
|  | std::string | type,
|  | std::string | fileName,
|  | std::string | fileGuid
| ) |  |
| inline

Definition at line 41 of file FileIncident.h.

42 : Incident( std::move( source ), std::move( type ) )
43 , m_fileName( std::move( fileName ) )
44 , m_fileGuid( std::move( fileGuid ) )
45 {
46 }
FileIncident::m_fileGuid
std::string m_fileGuid
Definition: FileIncident.h:33
std::move
T move(T...args)
FileIncident::m_fileName
std::string m_fileName
Definition: FileIncident.h:32
Incident::Incident
Incident(const std::string &source, const std::string &type)
Default Constructor.
Definition: Incident.cpp:5

FileIncident::FileIncident | ( | const FileIncident & | rhs | ) |
| inline

Definition at line 48 of file FileIncident.h.

49 : Incident( rhs ), m_fileName( rhs.m_fileName ), m_fileGuid( rhs.m_fileGuid )
50 {
51 }
FileIncident::m_fileGuid
std::string m_fileGuid
Definition: FileIncident.h:33
FileIncident::m_fileName
std::string m_fileName
Definition: FileIncident.h:32
Incident::Incident
Incident(const std::string &source, const std::string &type)
Default Constructor.
Definition: Incident.cpp:5

FileIncident::~FileIncident | ( |  | ) |
| override default

## Member Function Documentation

const std::string & FileIncident::fileGuid | ( |  | ) | const
| inline

Definition at line 62 of file FileIncident.h.

62 { return m_fileGuid; }
FileIncident::m_fileGuid
std::string m_fileGuid
Definition: FileIncident.h:33

const std::string & FileIncident::fileName | ( |  | ) | const
| inline

Definition at line 61 of file FileIncident.h.

61 { return m_fileName; }
FileIncident::m_fileName
std::string m_fileName
Definition: FileIncident.h:32

const FileIncident & FileIncident::operator= | ( | const FileIncident & | rhs | ) |
| inline

Overloaded Assignment Operator.

Definition at line 53 of file FileIncident.h.

54 {
55 Incident::operator=( rhs );
56 m_fileName = rhs.m_fileName;
57 m_fileGuid = rhs.m_fileGuid;
58 return *this;
59 }
FileIncident::m_fileGuid
std::string m_fileGuid
Definition: FileIncident.h:33
operator=
PropertyMgr & operator=(const PropertyMgr &)=delete
FileIncident::m_fileName
std::string m_fileName
Definition: FileIncident.h:32

## Member Data Documentation

std::string FileIncident::m_fileGuid
| private

Definition at line 33 of file FileIncident.h.

std::string FileIncident::m_fileName
| private

Definition at line 32 of file FileIncident.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/FileIncident.h